SCUMMVM(6)

NAME
scummvm - graphic adventure game interpreter

SYNOPSIS
scummvm [options] [game]

DESCRIPTION

scummvm is an interpreter that will play graphic adventure games written for LucasArts' SCUMM virtual machine. Some other adventure games using similar engines may be supported - for example Simon The Sorcerer

Note that this manpage is frequently outdated and you would be well advised to look at the README and the output of scummvm -h for more up to date information.

Please be aware that the engine may contains bugs and non-implemented features that may make it impossible to finish the game. Check http://www.scummvm.org/compatibility.php for the latest compatibility information.

  OPTIONS
If you don't pass ScummVM options it will start the graphical game launcher, which allows game selection from, and addition to, the config file.

The interpreter expects to find the game's data files in the current directory, if a path isn't specified in a config file. You may supply a different path using -p on the command line. The name of the game is then supplied on the command line.

--[no-]aspect-ratio
    Enable/Disable aspect ratio correction

-b<param>
    Specify parameter to pass to first game script default is 0.

--cdrom=NUM
    CD drive to play audio from (default: 0 = first drive)

-d[num]
    Set debug level (default level 1)

-e<mode>
    Specify music output where <mode> can be one of:
    adlib Uses internal Adlib Emulation (default)
    windows Windows MIDI. Uses built-in sequencer.
    seq Uses /dev/sequencer for MIDI, *nix users.
    qt Quicktime sound, for Macintosh users.
    core CoreAudio sound, for MacOS X users.
    amidi Uses the MorphOS MIDI system, for MorphOS users
    alsa Output using ALSA sequencer device.
    null Null output. Don't play any music.

-f  Runs in full-screen mode.

--[no-]floppy-intro
    Enable/Disable floppy version intro for Beneath a Steel Sky CD version.

-g<mode>
    Set graphics filter. <mode> can be one of:
    normal No filtering, no scaling. Fastest.
    2x No filtering, factor 2x (default for non 640x480 games).
    3x No filtering, factor 3x.
    2xsai 2xsai filter, factor 2x.
    super2xsai Enhanced 2xsai filtering. factor 2x.
    supereagle Less blurry than 2xsai, but slower. Factor 2x.
    advmame2x Doesn't rely on blurring like 2xSAI, fast. Factor 2x.
    advmame3x Doesn't rely on blurring like 2xSAI, fast. Factor 3x.
    hq2x Very nice high quality filter but slow. Factor 2x.
    hq3x Very nice high quality filter but slow. Factor 3x.
    tv2x Horizontal scanlines. Factor 2x.
    dotmatrix Dot matrix effect. Factor 2x.

-h  Show help and exit.

--joystick[=NUM]
    Enable input with joystick (default: 0 = first joystick)

-m <num>
    Set music volume to number <num> (0-255)

--[no-]multi-midi
    Enable/Disable combination Adlib and native MIDI.

-n  Enable subtitles

--[no-]native-mt32
    Enable/Disable true Roland MT-32 MIDI (disable GM emulation)

-o<num>
    Set master volume to number <num> (0-255)

-p<path>
    Specify the path to the game.

--platform=WORD
    Specify version of game where WORD can be one of amiga, atari, mac, pc.

-q<lang>
    Specify language where <lang> can be one of:
    cz Czech
    de German
    en English (default for most games)
    es Spanish
    fr French
    gb English (Great Britain) (default for Beneath a Steel Sky)
    hb Hebrew
    it Italian
    jp Japanese
    kr Korean
    pt Portuguese
    se Sweedish
    zh Chinese

-s<num>
    set sfx volume to number num (0-255)

-t  Display list of configured targets and exit

-u  Dump scripts if a dumps directory is in the current directory.

-v  Show version information and exit.

-x[num]
    Load savegame slot number num (default: 0 - autosave)

-z  Display list of supported games and exit.

INGAME KEYS
While the game is running, the following keys can be used (in addition to any keys used by the game):

F5  Access the in-game save/load/options dialog

Ctrl+0..9
    Load a previously saved game state.

Ctrl+Alt a
    Toggle aspect-ratio correction on/off. Most of the games use a 320x200 pixel resolution, which may look squashed on modern monitors. Aspect-ratio correction stretches the image to use 320x240 pixels instead, or a multiple thereof.

Alt+0..9
    Save a game state.

Alt+Enter
    Toggles full screen/windowed

Ctrl+Z
    Quit the game.

Ctrl+F
    Run in fast mode (process frames faster).

Ctrl+G
    Run in REALLY fast mode

Ctrl+D
    Starts the debugger.

Ctrl+S
    Shows memory consumption.

SUPPORTED GAMES

The following games should be finishable with ScummVM, for a complete list of all supported targets use the -z option.

maniac
    Maniac Mansion (enhanced version)

zak Zak McKracken and the Alien Mindbenders (enhanced version)

indy3ega
    Indiana Jones and the Last Crusade (16 colour)

indy3
    Indiana Jones and the Last Crusade (256 colour)

zaktowns
    Zak McKracken and the Alien Mindbenders (FM Towns)

loom
    Loom (16 colour)

loomcd
    Loom CD Talkie

monkeyega
    The Secret of Monkey Island (16 colour)

monkeyvga
    The Secret of Monkey Island (256 colour, disk version)

monkey/monkey1
    The Secret of Monkey Island (256 colour, cd version)

monkey2
    Monkey Island 2: LeChuck's revenge

atlantis
    Indiana Jones and the Fate of Atlantis

playfate
    Indiana Jones and the Fate of Atlantis (demo)

tentacle
    Day of the Tentacle

samnmax
    Sam & Max Hit the Road

ft  Full Throttle

dig The Dig

comi
    The Curse of Monkey Island

simon1dos
    Simon the Sorcerer (DOS)

simon1win
    Simon the Sorcerer Talkie (WIN)

simon1talkie
    Simon the Sorcerer Talkie (DOS)

simon2dos
    Simon the Sorcerer 2 (DOS)

simon2win
    Simon the Sorcerer 2 Talkie (WIN)

simon2talkie
    Simon the Sorcerer 2 Talkie (DOS)

simon2mac
    Simon the Sorcerer 2 Talkie (Amiga or Mac)

sky Beneath a Steel Sky

sword1
    Broken Sword I: Shadow of the Templars

sword2
    Broken Sword II: The Smoking Mirror

FILES

~/.scummvmrc
    ScummVM config file on Unix

~/Library/Preferences/ScummVM Preferences
    ScummVM config file on Mac OS X

<windows dir>\scummvm.ini
    ScummVM config file on Windows

scummvm.ini in the current directory
    Others.

EXAMPLES

Running the builtin game launcher
    scummvm

Running Day of the Tentacle specifying the path
    scummvm -p /usr/local/share/games/tentacle/ tentacle

Running The Dig with advmame2x graphics filter with subtitles
    scummvm -g advmame2x -n dig

Running The Italian version of Maniac Mansion fullscreen
    scummvm -q it -f maniac

AUTHOR
This manual page was written by David Given <dg@cowlark.com>, for the Debian GNU/Linux system (but may be used by others). Heavily updated by Jonathan Gray <khalek@scummvm.org>.

ScummVM was written by Ludvig Strigeus <strigeus@users.sourceforge.net> and the ScummVM team. See http://www.scummvm.org for more information.